Base piece type

### Type parameters

- #### DataType = any

- #### Meta = any

### Hierarchy

- IPiece
  - IPieceItem

## Index

### Properties

- data
- id
- meta
- name
- node
- type

## Properties

### Optional data

data: DataType

Data of piece, specific to piece type

### id

id: string

Unique piece id

### Optional meta

meta: Meta

Meta data for resolving updates in concurrent mode, empty in non-concurrent mode

### name

name: string

Human readable piece name

### node

node: HTMLElement

Node which piece controls

### type

type: PieceType

Type of piece

Generated using TypeDoc